<template>
    <div class="page">
        <h6 class="left">Сотрудники</h6>

        <h6 class="right">Шаблоны опросов</h6>

        <div class="column left-column">
            <Search class="search"/>
            <AddCard/>
            <Card v-for="i in 4" v-bind:key="i"/>
        </div>

        <div class="column right-column">
            <div class="search-row">
                <Search class="search"/>
            </div>
            <div class="patterns">
                <AddPat/>
                <Pat v-for="i in 6" v-bind:key="i"/>
            </div>
        </div>
    </div>
</template>

<script>
import Card from '../components/Card.vue'
import AddCard from '../components/AddCard.vue'
import Search from '../components/Search.vue'
import Pat from '../components/Pat.vue'
import AddPat from '../components/AddPat.vue'

export default {
  name: 'Managment',
  components: {
    Card,
    AddCard,
    Search,
    Pat,
    AddPat
  },
  data() {
      return {

      }
  }
}
</script>

<style scoped>
main {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-gap: 0 1vw;
    margin: 1vw 0;
}

.column {
    box-sizing: border-box;
    padding: 0 1vw;
    width: 100%;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.25);
    border-radius: 5px;
}

h6 {
    font-weight: normal;
    font-size: 0.9rem;
    color: var(--grey);
    text-align: left;
    padding: 0.5rem 0;
    margin: 0;
}

h6.left {
    grid-column: 2 / 7;    
}

.left-column {
    grid-column: 2 / 7;
}

.left-column > * {
    margin-bottom: 1vw;
}

h6.right {
    grid-column: 7 / 12; 
}

.right-column {
    grid-column: 7 / 12; 
}

.search-row {
    display: flex;
    align-items: left;
    margin-bottom: 1vw;
}

.patterns {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 1vw;
}
</style>

